## com.imcode.imcms.util.l10n
Class ImcmsPrefsLocalizedMessageProvider

    java.lang.Object
      com.imcode.imcms.util.l10n.LocalizedMessageProvider
          com.imcode.imcms.util.l10n.ImcmsPrefsLocalizedMessageProvider

    public class ImcmsPrefsLocalizedMessageProvider

extends LocalizedMessageProvider

Constructor Summary
`ImcmsPrefsLocalizedMessageProvider()`

Method Summary
`static java.util.Properties` `getLanguageProperties(UserDomainObject user)`
`java.util.ResourceBundle` `getResourceBundle(java.lang.String languageIso639_2)`

Methods inherited from class com.imcode.imcms.util.l10n.LocalizedMessageProvider
`get`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImcmsPrefsLocalizedMessageProvider

    public ImcmsPrefsLocalizedMessageProvider()

Method Detail

### getResourceBundle

    public java.util.ResourceBundle getResourceBundle(java.lang.String languageIso639_2)

  Specified by:
    `getResourceBundle` in class `LocalizedMessageProvider`

### getLanguageProperties

    public static java.util.Properties getLanguageProperties(UserDomainObject user)